function OnLevelUpFinished(level)
	if level == "4" and API_HasTutorialBeenTriggered("tutorial_first_level_up") == "false" then
		API_SetTutorialAsTriggered("tutorial_first_level_up", "true")
		StartFirstLevelUpTutorial()
	end
end

function OnOutOfLives()
	--API_SetTutorialAsTriggered("tutorial_open_album", "false")
	local hasFirstLevelUpTutorialBeenTriggered = API_HasTutorialBeenTriggered("tutorial_first_level_up") == "true"
	local hasAlbumBeenOpened = API_HasTutorialBeenTriggered("tutorial_open_postcard") == "false"
	if hasFirstLevelUpTutorialBeenTriggered and hasAlbumBeenOpened and API_HasTutorialBeenTriggered("tutorial_open_album") == "false" then
		API_SetTutorialAsTriggered("tutorial_open_album", "true")
		StartOpenAlbumTutorial()
	end
end

function StartFirstLevelUpTutorial()
	API_SetSagaMapStateMachineEnabled("false")
	API_SetInputAllowed("false")
	API_AllowInputOn("PostcardsButton")
	API_ShowImageAtComponent("album_button_feedback", "PostcardsButton", "0.45", "0.55", "true", "true", "")
	API_CallFunctionAfterDelay("ContinueToNextState", "", 3)
end

function ContinueToNextState()
	API_SetSagaMapStateMachineEnabled("true")
	API_SetInputAllowed("true")
end

function StartOpenAlbumTutorial()
	API_SetSagaMapStateMachineEnabled("false")
	API_SetInputAllowed("false")
	API_ShowDarkOverlay("false")
	API_ShowPopup("tooltip_center", "center", "postcard_out_of_lives_title", "postcard_out_of_lives_body", "", "")
	API_BringToFront("PostcardsButton")
	API_AllowInputOn("PostcardsButton")
	API_ShowImageAtComponent("hand_touch_v2_sml", "PostcardsButton", "0.35", "0.3", "true", "true", "")
end
